romfs_file Struct Reference

RomFS file. More...

`#include <romfs.h>`

## Data Fields

u32 | parent
| Offset of the parent directory.
u32 | sibling
| Offset of the next sibling file.
u64 | dataOff
| Offset of the file's data.
u64 | dataSize
| Length of the file's data.
u32 | nextHash
| File hash table pointer.
u32 | nameLen
| Name length.
u16 | name []
| Name. (UTF-16)

## Detailed Description

RomFS file.

The documentation for this struct was generated from the following file:

- include/3ds/romfs.h